Subject: [bug#78433] [PATCH] Search for gcc-ar

From: Karl Berry <[email-masked]>
Date: Thu, 15 May 2025 16:24:01 -0600

Hi Sam,

    but how does this look in principle?

    -AC_CHECK_TOOLS([AR], [ar lib "link -lib"], [false])
    +AC_CHECK_TOOLS([AR], [gcc-ar ar lib "link -lib"], [false])

Seems about as simple a change as it could be. Assuming that gcc-ar
behaves like normal ar in normal situations (no plugins or LTO
involved), I don't see a problem with it. It even seems safe enough to
me to make the next release without another pretest. Wdyt?

My only comment on the patch is that I think this searching for gcc-ar
should be mentioned in the documentation for AM_PROG_AR. (I can do that.)

    I'm still testing this and going to play with it some more in the wild,

Do you want me to install the patch? A few people run automake from the
dev sources so it would get some minor additional testing that way.

Thanks,
Karl